import { View } from "@tarojs/components"
import { useMemo } from "react"
import styles from './index.module.scss'


export type colorParams = {
    value?: { backgroundColor: string; }|null,
    show?: false|true
    onClose?: () => void
}
export default ({value, show = false, onClose}: colorParams) => {
    
    return (
        <>
            {show&&<View className={styles.main} catch-move="true" onClick={() => onClose?.()}>
                <View className={styles.con}>
                    <View className={styles.rgb} style={value!}></View>
                    <View className={styles.name}>{'颜色'}</View>
                </View>
            </View>}
        </>
    )
}